Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a Sony VAIO P netbook and for several issues (graphics driver, audio driver and power management), I want to install an older version of the Linux kernel on Ubuntu 11.10 (actually its Xubuntu) that seems to be much more suitable.

So I searched for Ubuntu kernels and found this link which includes all versions of the Linux kernel distributed by Ubuntu. I am looking for a version before 2.6.38 (to escape the known power management issue) and of course solve my many driver problems!

  1. I guess my best bet is 2.6.37 but there are several 2.6.37.x-x kernels! Can someone point me to the right choice?

  2. In each folder (for example: this one) there are several DEB packages. Which packages should I install? (Note: I have a 32-bit system)

  3. What is the installation process? sudo dpkg -i *.deb ? Is this fine or additional steps are required?

Thanks.

share|improve this question

2 Answers 2

up vote 3 down vote accepted

first the warning

Changing the kernel is not to be taken lightly - you can leave yourself with serious graphics issues and other issues - and even non booting scenarios.

It is wise to disk-image with a good imaging tool such as Clonezilla BEFORE you start.

mainline kernels vs ubuntu stock kernels

The mainline kernels are built using an older toolchain than stock ubuntu kernels. Its perhaps better to consider downloading ubuntu kernels from specific Ubuntu versions

For example - 2.6.38 for Natty, 2.6.35 for Maverick and 2.6.32 for Lucid.

However, you could look forward to v3.2 that is going to be used in Precise - some have reported good power-management issues with this kernel as well as the latest drivers.

There is a similar question here that will give you some further information: How to downgrade the Kernel on 11.10

Assuming your main issue is power-management, then before you consider changing your kernel - consider installing Jupiter - this is an excellent power-management tool.

installing from the mainline

If you must download from the mainline then the full instructions are on the community wiki. In summary 32bit or 64bit deb packages for headers & generic image together with a common "all" deb package.

All .deb packages can be installed with the same syntax:

sudo dpkg -i [package_name].deb

If you want to use 2.6.37 - then just use the latest 2.6.37.x version. Note - none of these kernels will be receiving security updates - you will need to patch these yourself.

If you are using proprietary drivers (e.g. nvidia or fglrx) then you will need to reinstall those drivers. It may be wise to rename your /etc/X11/xorg.conf file first before booting.

share|improve this answer
    
My problem isn't just power-management, I also have some driver problems. So, I'm going to use the latest 2.6.35 for Maverick. If things were not fixed, I will try out the 2.6.37 mainline kernel. Thanks for the reply. –  Seyed Mohammad Dec 29 '11 at 21:54

Rather than going backwards why not try the newer kernel and see if that fixes the problems you seem to be experiencing and at the same time updating your system to a more stable and bug free release ?

Try this:

http://www.ubuntugeek.com/how-to-install-linux-kernel-3-5-rc-in-ubuntu-using-ppa.html

share|improve this answer
2  
Welcome to Ask Ubuntu! Whilst this may theoretically answer the question, it would be preferable to include the essential parts of the answer here, and provide the link for reference. –  Peachy Oct 4 '12 at 6:10

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.